class HitBall extends Ball {

  HitBall (float x, float y, float r_) {
    super(x,y,r_); 
   
  }
  
  boolean isCollidingWithBall (Ball other) {

    // get distances between the balls components
    PVector bVect = PVector.sub(other._position, _position);
    // calculate magnitude of the vector separating the balls
    float bVectMag = bVect.mag();

    if (bVectMag < _r + other._r) {
      return true;
    }
    return false;
  }
  
}
